highlighting-kate-0.2.10: Syntax highlighting

Portability | portable
Stability | alpha
Maintainer | John MacFarlane <jgm@berkeley.edu>

Text.Highlighting.Kate.Format

Description

Formatters that convert a list of annotated source lines to various output formats.

Synopsis

- formatAsXHtml :: [FormatOption] -> String -> [SourceLine] -> Html
- data FormatOption
  - = OptNumberLines
  - | OptNumberFrom Int
  - | OptLineAnchors
  - | OptTitleAttributes
  - | OptDetailed
  - | OptInline
- defaultHighlightingCss :: String

# Documentation

formatAsXHtml

Arguments

:: [FormatOption] | Options
-> String | Language
-> [SourceLine] | Source lines to format
-> Html |

Format a list of highlighted `SourceLine`s as XHtml.

data FormatOption

Options for formatters.

Constructors

OptNumberLines | Number lines
OptNumberFrom Int | Number of first line
OptLineAnchors | Anchors on each line number
OptTitleAttributes | Include title attributes
OptDetailed | Include detailed lexical information in classes. (By default, only the default style is included. This option causes output to be more verbose.)
OptInline | Format as span-level, not block-level element

Instances

Eq FormatOption |
Read FormatOption |
Show FormatOption |

defaultHighlightingCss :: String